> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post configcommandscreate config



## OpenAPI

````yaml /api-reference/oda-config-service-1.0.0.yml post /config/commands/create-config
openapi: 3.0.1
info:
  title: oda-config-service
  version: 1.0.0
servers: []
security: []
paths:
  /config/commands/create-config:
    post:
      operationId: createConfig
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateConfig.CreateConfigCommand'
        required: true
      responses:
        '200':
          description: createConfig 200 response
components:
  schemas:
    CreateConfig.CreateConfigCommand:
      required:
        - displayName
        - recipientId
        - socialLinks
        - url
      type: object
      properties:
        recipientId:
          type: string
        url:
          type: string
        displayName:
          type: string
        socialLinks:
          type: array
          items:
            $ref: '#/components/schemas/CreateConfig.SocialLink'
    CreateConfig.SocialLink:
      required:
        - platform
        - url
      type: object
      properties:
        platform:
          type: string
        url:
          type: string

````